public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Petr Lautrbach <plautrba@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: Do not run libselinux/validatetrans on RHEL 8 and older
Date: Fri, 11 Sep 2026 13:18:16 GMT [thread overview]
Message-ID: <178913269679.1.10622085202028591500.tests-selinux-a989b582222e@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : a989b582222e3e8eac715f89ef2136b3fc502e92
Author : Petr Lautrbach <plautrba@redhat.com>
Date : 2020-09-25T08:03:44+02:00
Stats : +7/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/a989b582222e3e8eac715f89ef2136b3fc502e92?branch=pr775-checkpolicy-revdeps
Log:
Do not run libselinux/validatetrans on RHEL 8 and older
validatetrans utility was introduced in Fedora 32 and it's not available
in older releases
Given that relevancy metadata still doesn't work reliably, do the check
directly in the code.
---
diff --git a/libselinux/validatetrans/runtest.sh b/libselinux/validatetrans/runtest.sh
index fb58d69..2b201df 100755
--- a/libselinux/validatetrans/runtest.sh
+++ b/libselinux/validatetrans/runtest.sh
@@ -33,6 +33,13 @@
PACKAGE="libselinux"
rlJournalStart
+ # validatetrans utility is available since Fedora 32
+ if ! rlIsRHEL ">8" && ! rlIsFedora ">31"; then
+ rlLog "Not applicable to this OS version."
+ rlJournalEnd
+ exit 0
+ fi
+
rlPhaseStartSetup
rlRun "rlImport 'selinux-policy/common'"
rlAssertRpm ${PACKAGE}
reply other threads:[~2026-09-11 13:18 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913269679.1.10622085202028591500.tests-selinux-a989b582222e@fedoraproject.org \
--to=plautrba@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox